import { GroupEntry, GroupsApi } from '@alfresco/js-api';
import { AlfrescoApiService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class GroupService {
    private alfrescoApiService;
    private _groupsApi;
    get groupsApi(): GroupsApi;
    constructor(alfrescoApiService: AlfrescoApiService);
    listAllGroupMembershipsForPerson(personId: string, opts?: any, accumulator?: any[]): Promise<GroupEntry[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GroupService>;
}
